gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin A with a decorative frame and optional .

This widget draws a frame around whatever it contains, so is often used to visually group a set of widgets together.

If present, a label is drawn in a gap in the top side of the frame. The position of the label can be controlled with .

- Constructor
  2.12.0.0
  Create a new frame with no label
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The text to appear as this frame's label
  Create a new frame with a label in the top left corner.

  This creates a new frame with a widget in the top left corner, displaying the text passed in as .

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("label")
  System.String The string that is visible as the Frame's label The text of a label if is a , null otherwise.
- Property
  2.12.0.0
  GLib.Property("label-widget")
  Gtk.Widget Manage the widget that acts as a frame's . The current in use as this Frame's label.

  Despite its name, this property does not have to set a widget as its label. Because of the way that Gtk containers work, you may add an arbitrary widget as the label for this frame. However, a genuine is recommended for consistency with other applications.

- Property
  2.12.0.0
  GLib.Property("label-xalign")
  System.Single Set the horizontal alignment of the . The existing horizontal alignment of this Frame's label
- Property
  2.12.0.0
  GLib.Property("label-yalign")
  System.Single Set the vertical alignment of the . The existing vertical alignment of this Frame's label
- Property
  2.12.0.0
  GLib.Property("shadow")
  Gtk.ShadowType Manage the appearance of this frame's border. The current shadow style that this Frame is rendered with.
- Property
  2.12.0.0
  GLib.Property("shadow-type")
  Gtk.ShadowType Manage the appearance of this frame's border. The current shadow style that this Frame is rendered with.